Bug 951874 - Review Request: perl-DBD-Firebird - A Firebird interface for perl
Summary: Review Request: perl-DBD-Firebird - A Firebird interface for perl
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Petr Šabata
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-14 01:04 UTC by Robert Scheck
Modified: 2013-05-07 18:08 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-27 03:19:17 UTC
Type: Bug
psabata: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Robert Scheck 2013-04-14 01:04:14 UTC
Spec URL: http://labs.linuxnetz.de/bugzilla/perl-DBD-Firebird.spec
SRPM URL: http://labs.linuxnetz.de/bugzilla/perl-DBD-Firebird-1.11-1.src.rpm
Description:
DBD::Firebird is a Perl module that works with the DBI module to provide
access to Firebird databases.


This package will be imported to EPEL 6 and of course to all active Fedora 
branches. EPEL 5 is not possible as firebird in EPEL 5 is too old.

Comment 1 Petr Šabata 2013-04-17 12:49:04 UTC
Taking the review.

Comment 2 Petr Šabata 2013-04-17 14:54:37 UTC
Missing buildtime deps:
  perl(base), ./inc/FirebirdMaker.pm:6, ./t/TestFirebird.pm:22, ./TestFirebirdEmbedded.pm:17
  perl(Carp), ./Makefile.PL:63, ./Firebird.pm:13, ./Firebird.pm:163, ./t/TestFirebirdEmbedded.pm:8, 
  perl(constant), ./t/TestFirebird.pm:31-33, ./t/TestFirebirdEmbedded.pm:27-28, ./t/dbi-table_info.t:17,42
  perl(Data::Dumper), ./t/91-txinfo.t:7
  perl(DBI::DBD), ./Makefile.PL:184
  perl(Encode), ./t/75-utf8.t:17
  perl(Exporter), ./inc/FirebirdMaker.pm:6, ./Firebird.pm:17, ./lib/DBD/Firebird/TypeInfo.pm:13, ./t/TestFirebird.pm:22, ./t/TestFirebirdEmbedded.pm:17
  perl(File::Temp), ./t/TestFirebird.pm:18, ./t/TestFirebirdEmbedded.pm:13
  perl(Getopt::Long), ./Makefile.PL:66
  perl(lib), most tests
  (+ Config, DynaLoader, File::Basename, File::Spec, Math::BigFloat, POSIX, strict, utf8, vars, warnings; see the same comment in DBD::InterBase)

Perl v5.10.1 is required (./Firebird.pm:9), therefore your perl >= 5.8.1 BR is incorrect.  This is another reason why this can't go to EPEL5.  I also think specifying the version here is not necessary.

%defattr is not required, could be dropped.

The same for line 35.

You could add the 'eg' directory to %doc.

Since this isn't going to EPEL5, drop the Buildroot-related stuff.  It's not needed. (lines 17, 31, 42, and 43)

Comment 3 Robert Scheck 2013-04-18 22:39:18 UTC
Thank you for taking the review. I have applied all suggested changes, except
the 'eg' directory - because building of DBD::FirebirdEmbed doesn't work from
my point of view (and it is IMHO not needed anyway).

Spec URL: http://labs.linuxnetz.de/bugzilla/perl-DBD-Firebird.spec
SRPM URL: http://labs.linuxnetz.de/bugzilla/perl-DBD-Firebird-1.11-2.src.rpm

Comment 4 Petr Šabata 2013-04-19 14:13:03 UTC
Ok, everything's fixed.
Approving.

Comment 5 Robert Scheck 2013-04-19 15:47:58 UTC
Thank you very much for the package review!


New Package SCM Request
=======================
Package Name: perl-DBD-Firebird
Short Description: A Firebird interface for perl
Owners: robert
Branches: el6 f17 f18 f19
InitialCC:

Comment 6 Gwyn Ciesla 2013-04-22 13:32:13 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2013-04-22 18:51:51 UTC
perl-DBD-Firebird-1.11-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/perl-DBD-Firebird-1.11-2.fc19

Comment 8 Fedora Update System 2013-04-22 18:52:54 UTC
perl-DBD-Firebird-1.11-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/perl-DBD-Firebird-1.11-2.fc18

Comment 9 Fedora Update System 2013-04-22 18:53:27 UTC
perl-DBD-Firebird-1.11-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/perl-DBD-Firebird-1.11-2.fc17

Comment 10 Fedora Update System 2013-04-22 18:54:01 UTC
perl-DBD-Firebird-1.11-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-DBD-Firebird-1.11-2.el6

Comment 11 Fedora Update System 2013-04-23 02:56:05 UTC
perl-DBD-Firebird-1.11-2.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 12 Fedora Update System 2013-04-27 03:19:20 UTC
perl-DBD-Firebird-1.11-2.fc19 has been pushed to the Fedora 19 stable repository.

Comment 13 Fedora Update System 2013-05-02 03:55:41 UTC
perl-DBD-Firebird-1.11-2.fc17 has been pushed to the Fedora 17 stable repository.

Comment 14 Fedora Update System 2013-05-02 04:01:02 UTC
perl-DBD-Firebird-1.11-2.fc18 has been pushed to the Fedora 18 stable repository.

Comment 15 Fedora Update System 2013-05-07 18:08:22 UTC
perl-DBD-Firebird-1.11-2.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.